Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class CoordinatorModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorModel

All Implemented Interfaces:
  `Serializable`

public class CoordinatorModel extends BaseModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`host`
`String`
`monitoringHostIdKey`
`String`
`name`
`Long`
`processId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`CoordinatorModel()`
`CoordinatorModel(Long id)`
`CoordinatorModel(Long id, String name, String host, Long processId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateMonitoringKey()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public String name

### host

public String host

### processId

public Long processId

### monitoringHostIdKey

public String monitoringHostIdKey

## Constructor Details

### CoordinatorModel

public CoordinatorModel(Long id)

### CoordinatorModel

public CoordinatorModel()

### CoordinatorModel

public CoordinatorModel(Long id, String name, String host, Long processId)

## Method Details

### generateMonitoringKey

public void generateMonitoringKey()

### toString

public String toString()

Overrides:
  `toString` in class `Object`